% Karakter statisztika készítő függvények kipróbálása
% Oláh Barbara

-module(proba_kar_stat).

-export([proba/0, proba_prop/0, proba_map/0]).

proba()->
	proba_prop(),
	proba_map(),
	ok.

% Proplist adattípus
proba_prop()->
	Szoveg = "Talaltam egy almat a foldon",
	Karakter = "a",
	Statisztika = kar_stat_prop:karakter_statisztika(Szoveg),
	Darabszam = kar_stat_prop:karakter_szama(Karakter,Szoveg),
	io:format("--PROPLIST-- ~n Szoveg: ~p~n Karakter: ~p~n Statisztika: ~p~n Darabszam: ~p~n~n" ,[Szoveg,Karakter,Statisztika,Darabszam]).

% Map adattípus	
proba_map()->
	Szoveg = "Talaltam egy almat a foldon",
	Karakter = "a",
	Statisztika = kar_stat_map:karakter_statisztika(Szoveg),
	Darabszam = kar_stat_map:karakter_szama(Karakter,Szoveg),
	io:format("--MAP-- ~n Szoveg: ~p~n Karakter: ~p~n Statisztika: ~p~n Darabszam: ~p~n~n" ,[Szoveg,Karakter,Statisztika,Darabszam]).
